# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'obserware/assets/uifiles/cputwdgt.ui'
#
# Created by: PyQt5 UI code generator 5.15.6
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_cputwdgt(object):
    def setupUi(self, cputwdgt):
        cputwdgt.setObjectName("cputwdgt")
        cputwdgt.resize(590, 250)
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(cputwdgt.sizePolicy().hasHeightForWidth())
        cputwdgt.setSizePolicy(sizePolicy)
        cputwdgt.setMinimumSize(QtCore.QSize(590, 250))
        cputwdgt.setMaximumSize(QtCore.QSize(590, 250))
        cputwdgt.setStyleSheet("background: transparent;")
        self.cputperc = QtWidgets.QLabel(cputwdgt)
        self.cputperc.setGeometry(QtCore.QRect(70, 5, 515, 20))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputperc.sizePolicy().hasHeightForWidth())
        self.cputperc.setSizePolicy(sizePolicy)
        self.cputperc.setMinimumSize(QtCore.QSize(515, 20))
        self.cputperc.setMaximumSize(QtCore.QSize(515, 20))
        self.cputperc.setStyleSheet('font: 15pt "JetBrains Mono";')
        self.cputperc.setObjectName("cputperc")
        self.cputxtra = QtWidgets.QLabel(cputwdgt)
        self.cputxtra.setGeometry(QtCore.QRect(70, 30, 515, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputxtra.sizePolicy().hasHeightForWidth())
        self.cputxtra.setSizePolicy(sizePolicy)
        self.cputxtra.setMinimumSize(QtCore.QSize(515, 15))
        self.cputxtra.setMaximumSize(QtCore.QSize(515, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cputxtra.setFont(font)
        self.cputxtra.setStyleSheet('font: 10pt "Inter";')
        self.cputxtra.setObjectName("cputxtra")
        self.cputnumb = QtWidgets.QLabel(cputwdgt)
        self.cputnumb.setGeometry(QtCore.QRect(5, 5, 55, 20))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputnumb.sizePolicy().hasHeightForWidth())
        self.cputnumb.setSizePolicy(sizePolicy)
        self.cputnumb.setMinimumSize(QtCore.QSize(55, 20))
        self.cputnumb.setMaximumSize(QtCore.QSize(55, 20))
        self.cputnumb.setStyleSheet('font: 15pt "JetBrains Mono";')
        self.cputnumb.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.cputnumb.setAlignment(
            QtCore.Qt.AlignRight | QtCore.Qt.AlignTrailing | QtCore.Qt.AlignVCenter
        )
        self.cputnumb.setObjectName("cputnumb")
        self.cputlabl = QtWidgets.QLabel(cputwdgt)
        self.cputlabl.setGeometry(QtCore.QRect(5, 30, 55, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputlabl.sizePolicy().hasHeightForWidth())
        self.cputlabl.setSizePolicy(sizePolicy)
        self.cputlabl.setMinimumSize(QtCore.QSize(55, 15))
        self.cputlabl.setMaximumSize(QtCore.QSize(55, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cputlabl.setFont(font)
        self.cputlabl.setStyleSheet('font: 10pt "Inter";')
        self.cputlabl.setAlignment(
            QtCore.Qt.AlignRight | QtCore.Qt.AlignTrailing | QtCore.Qt.AlignVCenter
        )
        self.cputlabl.setObjectName("cputlabl")
        self.cputline = QtWidgets.QFrame(cputwdgt)
        self.cputline.setGeometry(QtCore.QRect(65, 5, 1, 240))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputline.sizePolicy().hasHeightForWidth())
        self.cputline.setSizePolicy(sizePolicy)
        self.cputline.setMinimumSize(QtCore.QSize(1, 240))
        self.cputline.setMaximumSize(QtCore.QSize(1, 240))
        self.cputline.setStyleSheet("border: 1px solid #808080;")
        self.cputline.setFrameShape(QtWidgets.QFrame.VLine)
        self.cputline.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.cputline.setObjectName("cputline")
        self.cputusnm = QtWidgets.QLabel(cputwdgt)
        self.cputusnm.setGeometry(QtCore.QRect(70, 50, 515, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputusnm.sizePolicy().hasHeightForWidth())
        self.cputusnm.setSizePolicy(sizePolicy)
        self.cputusnm.setMinimumSize(QtCore.QSize(515, 15))
        self.cputusnm.setMaximumSize(QtCore.QSize(515, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cputusnm.setFont(font)
        self.cputusnm.setStyleSheet('font: 10pt "Inter";')
        self.cputusnm.setObjectName("cputusnm")
        self.cputuspr = QtWidgets.QLabel(cputwdgt)
        self.cputuspr.setGeometry(QtCore.QRect(70, 70, 515, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputuspr.sizePolicy().hasHeightForWidth())
        self.cputuspr.setSizePolicy(sizePolicy)
        self.cputuspr.setMinimumSize(QtCore.QSize(515, 15))
        self.cputuspr.setMaximumSize(QtCore.QSize(515, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cputuspr.setFont(font)
        self.cputuspr.setStyleSheet('font: 10pt "Inter";')
        self.cputuspr.setObjectName("cputuspr")
        self.cputkrnm = QtWidgets.QLabel(cputwdgt)
        self.cputkrnm.setGeometry(QtCore.QRect(70, 90, 515, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputkrnm.sizePolicy().hasHeightForWidth())
        self.cputkrnm.setSizePolicy(sizePolicy)
        self.cputkrnm.setMinimumSize(QtCore.QSize(515, 15))
        self.cputkrnm.setMaximumSize(QtCore.QSize(515, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cputkrnm.setFont(font)
        self.cputkrnm.setStyleSheet('font: 10pt "Inter";')
        self.cputkrnm.setObjectName("cputkrnm")
        self.cputnull = QtWidgets.QLabel(cputwdgt)
        self.cputnull.setGeometry(QtCore.QRect(70, 110, 515, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputnull.sizePolicy().hasHeightForWidth())
        self.cputnull.setSizePolicy(sizePolicy)
        self.cputnull.setMinimumSize(QtCore.QSize(515, 15))
        self.cputnull.setMaximumSize(QtCore.QSize(515, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cputnull.setFont(font)
        self.cputnull.setStyleSheet('font: 10pt "Inter";')
        self.cputnull.setObjectName("cputnull")
        self.cputiowt = QtWidgets.QLabel(cputwdgt)
        self.cputiowt.setGeometry(QtCore.QRect(70, 130, 515, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputiowt.sizePolicy().hasHeightForWidth())
        self.cputiowt.setSizePolicy(sizePolicy)
        self.cputiowt.setMinimumSize(QtCore.QSize(515, 15))
        self.cputiowt.setMaximumSize(QtCore.QSize(515, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cputiowt.setFont(font)
        self.cputiowt.setStyleSheet('font: 10pt "Inter";')
        self.cputiowt.setObjectName("cputiowt")
        self.cputhirq = QtWidgets.QLabel(cputwdgt)
        self.cputhirq.setGeometry(QtCore.QRect(70, 150, 515, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputhirq.sizePolicy().hasHeightForWidth())
        self.cputhirq.setSizePolicy(sizePolicy)
        self.cputhirq.setMinimumSize(QtCore.QSize(515, 15))
        self.cputhirq.setMaximumSize(QtCore.QSize(515, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cputhirq.setFont(font)
        self.cputhirq.setStyleSheet('font: 10pt "Inter";')
        self.cputhirq.setObjectName("cputhirq")
        self.cputsirq = QtWidgets.QLabel(cputwdgt)
        self.cputsirq.setGeometry(QtCore.QRect(70, 170, 515, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputsirq.sizePolicy().hasHeightForWidth())
        self.cputsirq.setSizePolicy(sizePolicy)
        self.cputsirq.setMinimumSize(QtCore.QSize(515, 15))
        self.cputsirq.setMaximumSize(QtCore.QSize(515, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cputsirq.setFont(font)
        self.cputsirq.setStyleSheet('font: 10pt "Inter";')
        self.cputsirq.setObjectName("cputsirq")
        self.cputvirt = QtWidgets.QLabel(cputwdgt)
        self.cputvirt.setGeometry(QtCore.QRect(70, 190, 515, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputvirt.sizePolicy().hasHeightForWidth())
        self.cputvirt.setSizePolicy(sizePolicy)
        self.cputvirt.setMinimumSize(QtCore.QSize(515, 15))
        self.cputvirt.setMaximumSize(QtCore.QSize(515, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cputvirt.setFont(font)
        self.cputvirt.setStyleSheet('font: 10pt "Inter";')
        self.cputvirt.setObjectName("cputvirt")
        self.cputgest = QtWidgets.QLabel(cputwdgt)
        self.cputgest.setGeometry(QtCore.QRect(70, 210, 515, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputgest.sizePolicy().hasHeightForWidth())
        self.cputgest.setSizePolicy(sizePolicy)
        self.cputgest.setMinimumSize(QtCore.QSize(515, 15))
        self.cputgest.setMaximumSize(QtCore.QSize(515, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cputgest.setFont(font)
        self.cputgest.setStyleSheet('font: 10pt "Inter";')
        self.cputgest.setObjectName("cputgest")
        self.cputgtnc = QtWidgets.QLabel(cputwdgt)
        self.cputgtnc.setGeometry(QtCore.QRect(70, 230, 515, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputgtnc.sizePolicy().hasHeightForWidth())
        self.cputgtnc.setSizePolicy(sizePolicy)
        self.cputgtnc.setMinimumSize(QtCore.QSize(515, 15))
        self.cputgtnc.setMaximumSize(QtCore.QSize(515, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cputgtnc.setFont(font)
        self.cputgtnc.setStyleSheet('font: 10pt "Inter";')
        self.cputgtnc.setObjectName("cputgtnc")

        self.retranslateUi(cputwdgt)
        QtCore.QMetaObject.connectSlotsByName(cputwdgt)

    def retranslateUi(self, cputwdgt):
        _translate = QtCore.QCoreApplication.translate
        cputwdgt.setWindowTitle(_translate("cputwdgt", "Form"))
        self.cputperc.setText(_translate("cputwdgt", "000%"))
        self.cputxtra.setText(_translate("cputwdgt", "Time spent in"))
        self.cputnumb.setText(_translate("cputwdgt", "0000"))
        self.cputlabl.setText(_translate("cputwdgt", "#CPU"))
        self.cputusnm.setText(
            _translate(
                "cputwdgt",
                '<html><head/><body><p><span style=" font-weight:700;">Executing normal processes in user mode:</span> TTTTTs (XXX%)</p></body></html>',
            )
        )
        self.cputuspr.setText(
            _translate(
                "cputwdgt",
                '<html><head/><body><p><span style=" font-weight:700;">Executing prioritized processes in user mode:</span> TTTTTs (XXX%)</p></body></html>',
            )
        )
        self.cputkrnm.setText(
            _translate(
                "cputwdgt",
                '<html><head/><body><p><span style=" font-weight:700;">Executing processes in kernel mode:</span> TTTTTs (XXX%)</p></body></html>',
            )
        )
        self.cputnull.setText(
            _translate(
                "cputwdgt",
                '<html><head/><body><p><span style=" font-weight:700;">Doing absolutely nothing:</span> TTTTTs (XXX%)</p></body></html>',
            )
        )
        self.cputiowt.setText(
            _translate(
                "cputwdgt",
                '<html><head/><body><p><span style=" font-weight:700;">Waiting for I/O operations to complete:</span> TTTTTs (XXX%)</p></body></html>',
            )
        )
        self.cputhirq.setText(
            _translate(
                "cputwdgt",
                '<html><head/><body><p><span style=" font-weight:700;">Servicing hardware interrupts:</span> TTTTTs (XXX%)</p></body></html>',
            )
        )
        self.cputsirq.setText(
            _translate(
                "cputwdgt",
                '<html><head/><body><p><span style=" font-weight:700;">Servicing software interrupts:</span> TTTTTs (XXX%)</p></body></html>',
            )
        )
        self.cputvirt.setText(
            _translate(
                "cputwdgt",
                '<html><head/><body><p><span style=" font-weight:700;">Running other OSes in a virtualized environment:</span> TTTTTs (XXX%)</p></body></html>',
            )
        )
        self.cputgest.setText(
            _translate(
                "cputwdgt",
                '<html><head/><body><p><span style=" font-weight:700;">Running a normal virtual CPU for guest OS on Linux kernel:</span> TTTTTs (XXX%)</p></body></html>',
            )
        )
        self.cputgtnc.setText(
            _translate(
                "cputwdgt",
                '<html><head/><body><p><span style=" font-weight:700;">Running a prioritized virtual CPU for guest OS on Linux kernel:</span> TTTTTs (XXX%)</p></body></html>',
            )
        )
